;;; bob.el --- Customizations for "bob" -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(require 'acdw)
(require 'machine)

(defun +bob-set-faces (&rest _)
  (let (;;(base-face "IBM Plex Mono")
        (base-face "Iosevka Comfy Wide")
        (base-size 100)
        (italic-face nil)
        ;; (bold-face nil)
        (mono-face nil)
        ;; (var-face "IBM Plex Sans")
        (var-face "Iosevka Comfy Duo")
        (var-size 1.0))
    (+set-faces
     `((default
         :family ,base-face
         :height ,base-size
         :weight regular)
       (bold :family ,(or (bound-and-true-p bold-face) base-face)
             :weight extra-bold)
       (italic :family ,(or (bound-and-true-p italic-face) base-face)
               :weight normal
               :slant italic)
       (fixed-pitch :family ,(or (bound-and-true-p mono-face) base-face)
                    :height 1.0)
       (variable-pitch
        :family ,(or var-face base-face)
        :height ,var-size)
       ;; (org-italic
       ;;  :family ,(or var-face base-face)
       ;;  :slant italic)
       ))))

;; Other ideas: [[https://twitter.com/NPRougier/status/1488570192561160195][from Nic Rougier]]
(add-hook 'machine-after-load-theme-hook #'+bob-set-faces)

;; bob.el ends here (+bob-set-faces)
